> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer by customer number

> This operation will return customer data related to given customer number

<ResponseExample>
  ```json Corporate response  theme={null}
  {
    "bankruptcyDate": "2023-05-03",
    "customerNumber": "ABCDEFGH123456789",
    "customerRepresentative": "Mrs Smith",
    "id": 151077912,
    "locale": "af_ZA",
    "name": "Enfuce Financial Services Oy",
    "regNo": "19560606-1234",
    "registration": {
      "authority": "Patent and Registration Office",
      "registrationDate": "2023-05-03"
    },
    "role": "CORPORATE",
    "screening": {
      "status": true
    }
  }
  ```

  ```json Private response  theme={null}
  {
    "customerNumber": "ABCDEFGH123456789",
    "dateOfBirth": "1935-01-08",
    "deceasedDate": "2023-05-03",
    "firstName": "Matti",
    "id": 151077912,
    "lastName": "Korhonen",
    "locale": "af_ZA",
    "middleName": "Juha",
    "nationality": [
      "string"
    ],
    "regNo": "19560606-1234",
    "role": "CORPORATE",
    "salutation": "Mr",
    "screening": {
      "status": true
    }
  }
  ```
</ResponseExample>


## OpenAPI

````yaml customer get /v3/customerNumber/{customerNumber}
openapi: 3.0.3
info:
  description: |
    Endpoint for doing various actions connected to the customer domain
    # Introduction
    Enfuce API offers ways to operation on account, card and customer level.
  version: '1'
  title: Customer details API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/customer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/customer
    description: Live environment
security: []
tags:
  - name: Create a customer
    description: <p>Endpoints for creating a customer</p>
  - name: Update a customer
    description: <p>Endpoints for updating a customer</p>
  - name: Get customer information
    description: Endpoints for fetching a customer
paths:
  /v3/customerNumber/{customerNumber}:
    get:
      tags:
        - Get customer information
      summary: Get customer by customer number
      description: >-
        This operation will return customer data related to given customer
        number
      operationId: getCustomerOnNumberUsingGET
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: customerNumber
          in: path
          description: The customer number of which customer you want fetch details on
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful retrieval of customer details
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/CorporateCustomerResponse'
                  - $ref: '#/components/schemas/PrivateCustomerResponse'
                discriminator:
                  propertyName: role
                  mapping:
                    CORPORATE:
                      $ref: '#/components/schemas/CorporateCustomerResponse'
                    PRIVATE:
                      $ref: '#/components/schemas/PrivateCustomerResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Customer does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    CorporateCustomerResponse:
      allOf:
        - $ref: '#/components/schemas/CustomerResponse'
        - properties:
            name:
              $ref: '#/components/schemas/name'
            customerRepresentative:
              $ref: '#/components/schemas/customerRepresentative'
            registration:
              $ref: '#/components/schemas/registration'
            bankruptcyDate:
              $ref: '#/components/schemas/bankruptcyDate'
            riskScore:
              $ref: '#/components/schemas/riskScore'
      title: CORPORATE
    PrivateCustomerResponse:
      allOf:
        - $ref: '#/components/schemas/CustomerResponse'
        - properties:
            salutation:
              $ref: '#/components/schemas/salutation'
            firstName:
              $ref: '#/components/schemas/firstName'
            middleName:
              $ref: '#/components/schemas/middleName'
            lastName:
              $ref: '#/components/schemas/lastName'
            dateOfBirth:
              $ref: '#/components/schemas/dateOfBirth'
            birthCountry:
              $ref: '#/components/schemas/birthCountry'
            nationality:
              $ref: '#/components/schemas/nationality'
            screening:
              $ref: '#/components/schemas/screening'
            deceasedDate:
              $ref: '#/components/schemas/deceasedDate'
            riskScore:
              $ref: '#/components/schemas/riskScore'
      title: PRIVATE
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    CustomerResponse:
      allOf:
        - $ref: '#/components/schemas/CreateResourceBody'
        - properties:
            customerNumber:
              $ref: '#/components/schemas/customerNumber'
            id:
              type: string
              description: Unique identifier for customer assigned by Enfuce
              example: 151077912
            locale:
              $ref: '#/components/schemas/locale'
            regNo:
              $ref: '#/components/schemas/regNo'
            role:
              type: string
              description: Customer role
              example: PRIVATE
            screening:
              $ref: '#/components/schemas/screening'
            riskScore:
              $ref: '#/components/schemas/riskScore'
            additionalValues:
              $ref: '#/components/schemas/additionalValues'
          required:
            - id
            - role
            - regNo
    name:
      description: Registered name of the company
      type: string
      maxLength: 255
      example: Enfuce Financial Services Oy
    customerRepresentative:
      type: string
      maxLength: 64
      description: >
        Field value is printed to outgoing invoices. In order to use this field
        it should be agreed in advantage with selected printing partner how it's
        represented on the invoice.
      example: Mrs Smith
    registration:
      type: object
      properties:
        authority:
          $ref: '#/components/schemas/authority'
        registrationDate:
          $ref: '#/components/schemas/registrationDate'
    bankruptcyDate:
      type: string
      format: date
      description: >
        The date on which the company declared bankruptcy, in ISO 8601 format
        ("YYYY-MM-DD"). 

        The field can be used purely for informational purposes and does not
        trigger any further actions or processes implemented by Enfuce.
      example: '2023-05-03'
    riskScore:
      type: string
      description: >
        Risk assessment score of the customer. Can be one of the following
        values:

        - `High`: High-risk customer

        - `Med`: Medium-risk customer

        - `Low`: Low-risk customer

        - `Pep`: Politically Exposed Person (PEP)

        - `Prohibited`: Customer sanctioned or outside of risk appetite
      enum:
        - High
        - Med
        - Low
        - Pep
        - Prohibited
      example: Med
    salutation:
      type: string
      maxLength: 32
      example: Mr
    firstName:
      type: string
      maxLength: 255
      example: Matti
    middleName:
      type: string
      maxLength: 255
      example: Juha
    lastName:
      type: string
      maxLength: 255
      example: Korhonen
    dateOfBirth:
      description: Mandatory if card is issued to consumer via BIN sponsorship program
      type: string
      format: date
      example: '1935-01-08'
    birthCountry:
      type: string
      description: >
        Country where the customer was born. 

        A valid ISO 3166-1 alpha-3 country code, except for QZZ (UNMIK in
        Kosovo) and ROM for Romania.
      pattern: '[A-Z]{3}'
      example: FIN
    nationality:
      type: array
      maxItems: 3
      description: >-
        A valid ISO 3166-1 alpha-3 country code, except for QZZ (UNMIK in
        Kosovo) and ROM for Romania.
      example:
        - FIN
        - SWE
      items:
        $ref: '#/components/schemas/country'
    screening:
      type: object
      required:
        - status
      properties:
        status:
          type: boolean
          nullable: false
          example: true
          description: >
            This field indicates the status of a customer's PEP and sanction
            screening.

              * __true__:
                A value of true means that the customer has already been screened and passed the PEP and sanction checks, confirming no matches were found on relevant lists. All linked cards can be used without restrictions.
              * __false__:
                A value of false indicates that the PEP and sanction screening process is still in progress for this customer. Importantly, when the screening status is set to false, authorizations for all cards linked to this customer will be automatically rejected. This operational behavior ensures compliance during the screening process.

              It is important to note that this field reports the current status of the screening process; it does not imply any further actions or legal consequences resulting from the screening outcome. However, the operational restrictions for linked cards should be carefully considered when handling customers with a false screening status.
        statusLastUpdated:
          type: string
          format: date
          nullable: false
          readOnly: true
          example: '2025-01-28'
          description: >
            This field indicates the timestamp of the most recent update to the
            customer's PEP and sanction screening status.

            The value is in ISO 8601 datetime format (e.g., 2025-01-28).
      description: >
        PEP and Sanction Screening.


        Fields can be used purely for informational purposes and do not trigger
        any legal or compliance-related consequences. However, the value of
        these fields may have operational implications for card usage, as
        described below. This screening is optional and does not need to be used
        if it is not relevant.
    deceasedDate:
      type: string
      format: date
      description: >
        The date when the customer has deceased, in ISO 8601 format
        ("YYYY-MM-DD"). 

        The field can be used purely for informational purposes and does not
        trigger any further actions or processes implemented by Enfuce.
      example: '2023-05-03'
    CreateResourceBody:
      allOf:
        - $ref: '#/components/schemas/CustomerResourceBody'
        - properties:
            customerNumber:
              $ref: '#/components/schemas/customerNumber'
            locale:
              $ref: '#/components/schemas/locale'
            regNo:
              $ref: '#/components/schemas/regNo'
            screening:
              $ref: '#/components/schemas/screening'
            address:
              $ref: '#/components/schemas/address'
              description: >-
                Address used if no other address are set on account and card
                levels
            temporaryAddress:
              $ref: '#/components/schemas/address'
              description: >
                Temporary address used to for a limited time be used instead of
                other address set either on customer, account or card level.
            additionalValues:
              $ref: '#/components/schemas/additionalValues'
          required:
            - address
            - locale
            - regNo
            - customerNumber
    customerNumber:
      description: Can contain both letters and numbers. Max character limit is 64
      type: string
      pattern: '[A-Za-z0-9-]{1,64}'
      example: ABCDEFGH123456789
    locale:
      type: string
      description: Customer's language and country code, these are the valid locales in API
      enum:
        - af_ZA
        - ar_AE
        - ar_BH
        - ar_DZ
        - ar_EG
        - ar_IQ
        - ar_JO
        - ar_KW
        - ar_LB
        - ar_LY
        - ar_MA
        - ar_OM
        - ar_QA
        - ar_SA
        - ar_SY
        - ar_TN
        - ar_YE
        - az_AZ
        - be_BY
        - bg_BG
        - bn_IN
        - bs_BA
        - ca_ES
        - cs_CZ
        - cy_GB
        - da_DK
        - de_AT
        - de_CH
        - de_DE
        - de_LI
        - de_LU
        - de_NL
        - el_GR
        - en_AU
        - en_BZ
        - en_CA
        - en_GB
        - en_IE
        - en_JM
        - en_MT
        - en_NZ
        - en_PH
        - en_TT
        - en_US
        - en_VI
        - en_ZA
        - en_ZW
        - es_AR
        - es_BO
        - es_CL
        - es_CO
        - es_CR
        - es_DO
        - es_EC
        - es_ES
        - es_GT
        - es_HN
        - es_MX
        - es_NI
        - es_PA
        - es_PE
        - es_PR
        - es_PY
        - es_SV
        - es_UY
        - es_VE
        - et_EE
        - eu_ES
        - fa_IR
        - fi_FI
        - fo_FO
        - fr_BE
        - fr_CA
        - fr_CH
        - fr_FR
        - fr_LU
        - fr_MC
        - fr_NL
        - ga_IE
        - gl_ES
        - gu_IN
        - he_IL
        - hi_IN
        - hr_HR
        - hu_HU
        - hy_AM
        - id_ID
        - is_IS
        - it_CH
        - it_IT
        - ja_JP
        - ka_GE
        - kk_KZ
        - kl_GL
        - kn_IN
        - ko_KR
        - kok_IN
        - lb_LU
        - lt_LT
        - lv_LV
        - mk_MK
        - ml_IN
        - mn_MN
        - mr_IN
        - ms_BN
        - ms_MY
        - mt_MT
        - nb_NO
        - nl_BE
        - nl_NL
        - nn_NO
        - no_NO
        - pa_IN
        - pl_PL
        - pt_BR
        - pt_PT
        - ro_RO
        - ru_RU
        - se_NO
        - sk_SK
        - sl_SI
        - sq_AL
        - sr_BA
        - sr_CS
        - sv_FI
        - sv_SE
        - sw_KE
        - syr_SY
        - ta_IN
        - te_IN
        - th_TH
        - tn_ZA
        - tr_TR
        - uk_UA
        - uz_UZ
        - vi_VN
        - xh_ZA
        - zh_CN
        - zh_HK
        - zh_MO
        - zh_SG
        - zh_TW
        - zu_ZA
    regNo:
      description: >-
        Identifier to customer, for example SSN. Enfuce does not do any
        validation for this regNo
      type: string
      maxLength: 64
      example: 19560606-1234
    additionalValues:
      type: array
      description: |
        An array of key–value pairs for custom metadata.  
        Enfuce does not validate beyond length/format.
      maxItems: 10
      items:
        $ref: '#/components/schemas/keyValuePair'
    authority:
      type: string
      maxLength: 70
      description: Registration authority where the company was registered
      example: Patent and Registration Office
    registrationDate:
      type: string
      format: date
      description: Date of the company registration in ISO 8601 format (yyyy-MM-dd)
      example: '2023-05-03'
    country:
      type: string
      description: >-
        A valid ISO 3166-1 alpha-3 country code, except for QZZ (UNMIK in
        Kosovo) and ROM for Romania.
      pattern: '[A-Z]{3}'
      example: FIN
    CustomerResourceBody:
      type: object
      properties:
        email:
          type: string
          maxLength: 255
          example: info@enfuce.com
        phoneNumber:
          $ref: '#/components/schemas/phoneNumber'
        mobileNumber:
          $ref: '#/components/schemas/mobileNumber'
    address:
      type: object
      required:
        - address1
        - city
        - country
        - zipCode
      properties:
        address1:
          type: string
          minLength: 1
          maxLength: 255
          example: Kings street 12
        address2:
          type: string
          maxLength: 255
        address3:
          type: string
          maxLength: 255
        address4:
          type: string
          maxLength: 255
        city:
          type: string
          minLength: 1
          maxLength: 255
          example: Mariehamn
        country:
          $ref: '#/components/schemas/country'
        region:
          type: string
          maxLength: 32
          example: Åland Islands
        zipCode:
          type: string
          minLength: 1
          maxLength: 32
          example: 22100
      title: address
    keyValuePair:
      type: object
      properties:
        key:
          type: string
          minLength: 1
          maxLength: 8
          pattern: ^[a-zA-Z0-9\-\_ ]*$
        value:
          type: string
          minLength: 1
          maxLength: 50
          pattern: >-
            ^[a-zA-Z0-9|\-_
            +.éàèùçâêîôûëïü'ÀÁÂÃÄÅÆÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõöøùúûüýþÿĀāĂăĄąĆćĈĉĊċČčĎďĐđĒēĔĕĖėĘęĚěĜĝĞğĠġĢģĤĥĦħĨĩĪīĬĭĮįİıĲĳĴĵĶķĸĹĺĻļĽľĿŀŁłŃńŅņŇňŉŊŋŌōŎŏŐőŒœŔŕŖŗŘřŚśŜŝŞşŠšŢţŤťŦŧŨũŪūŬŭŮůŰűŲųŴŵŶŷŸŹźŻżŽžſǪǫȘșȚțȪȫȮȯȲȳḐḑṢṣẞỌọ]*$
    phoneNumber:
      type: string
      description: >-
        Land line phone number to customer, must be full number including
        country code and starting with +
      pattern: ([+]){1}([1-9]){1}([0-9]){5,14}
      example: '+35821010001'
    mobileNumber:
      type: string
      description: >-
        Mobile number to customer, must be full number including country code
        and starting with +
      pattern: ([+]){1}([1-9]){1}([0-9]){5,14}
      example: '+358401234567'

````